Subject: Re: [PATCH] gitlab-ci: always run MSVC-based Meson job

From: Phillip Wood <[email-masked]>
Date: Tue, 6 May 2025 14:17:21 +0100

On 06/05/2025 11:39, Patrick Steinhardt wrote:
> On Mon, Apr 28, 2025 at 11:44:08AM -0700, Junio C Hamano wrote:
>> Johannes Schindelin <[email-masked]> writes:
>>
>>     Or perhaps we pick a
>>     single representative job and only after it passes start other
>>     jobs?  None of the tweaks along these lines I can think of feel
>>     satisfying to me.
> 
> Wouldn't that only mean that the pipeline takes even longer from start
> to finish? Even if the representative job succeeds it doesn't tell me
> anything about whether there are leaks, or whether it works on Windows,
> or on macOS. But given that I am on Linux, I especially care about jobs
> that use a platform different than my own and always wait for them to
> finish before sending out a patch series to the mailing list.

I did wonder if it is possible to make a failing job kill/cancel all the 
other jobs but I think we have a few flaky tests that occasionally 
randomly fail which complicates things.

Best Wishes

Phillip

> Patrick